For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
      • POSTCreate delivery configuration
      • DELDelete delivery configuration
      • GETGet delivery configuration by ID
      • GETGet delivery configurations by environment
      • GETList all delivery configurations
      • PATCHUpdate delivery configuration
      • POSTValidate delivery configuration
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewIntegration Delivery Configurations Beta

Get delivery configuration by ID

GET
/api/v2/integration-capabilities/featureStore/:projectKey/:environmentKey/:integrationKey/:id
GET
/api/v2/integration-capabilities/featureStore/:projectKey/:environmentKey/:integrationKey/:id
$curl https://app.launchdarkly.com/api/v2/integration-capabilities/featureStore/projectKey/environmentKey/integrationKey/id \
> -H "Authorization: <apiKey>"
1{
2 "_links": {
3 "self": {
4 "href": "string",
5 "type": "string"
6 },
7 "parent": {
8 "href": "string",
9 "type": "string"
10 },
11 "project": {
12 "href": "string",
13 "type": "string"
14 },
15 "environment": {
16 "href": "string",
17 "type": "string"
18 }
19 },
20 "_id": "12ab3c4d5ef1a2345bcde67f",
21 "integrationKey": "example-integration-key",
22 "projectKey": "default",
23 "environmentKey": "development",
24 "config": {},
25 "on": true,
26 "tags": [],
27 "name": "Development environment configuration",
28 "version": 1,
29 "_access": {
30 "denied": [
31 {
32 "action": "string",
33 "reason": {
34 "effect": "allow",
35 "resources": [
36 "proj/*:env/*;qa_*:/flag/*"
37 ],
38 "notResources": [
39 "string"
40 ],
41 "actions": [
42 "*"
43 ],
44 "notActions": [
45 "string"
46 ],
47 "role_name": "string"
48 }
49 }
50 ],
51 "allowed": [
52 {
53 "action": "string",
54 "reason": {
55 "effect": "allow",
56 "resources": [
57 "proj/*:env/*;qa_*:/flag/*"
58 ],
59 "notResources": [
60 "string"
61 ],
62 "actions": [
63 "*"
64 ],
65 "notActions": [
66 "string"
67 ],
68 "role_name": "string"
69 }
70 }
71 ]
72 }
73}
Get delivery configuration by ID.
Was this page helpful?
Previous

Get delivery configurations by environment

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key
integrationKeystringRequiredformat: "string"
The integration key
idstringRequiredformat: "string"
The configuration ID

Response

Integration delivery configuration response
_linksobject
The location and content type of related resources
_idstring
The integration ID
integrationKeystring
The integration key
projectKeystring
The project key
environmentKeystring
The environment key
configmap from strings to any

The delivery configuration for the given integration provider. Only included when requesting a single integration by ID. Refer to the formVariables field in the corresponding manifest.json for a full list of fields for each integration.

onboolean
Whether the configuration is turned on
tagslist of strings
List of tags for this configuration
namestring
Name of the configuration
versioninteger
Version of the current configuration
_accessobject
Details on the allowed and denied actions for this configuration

Errors

404
Not Found Error
429
Too Many Requests Error